/*! ********************************************
 * SamplerPreset.java
 * Copyright 2019 masahiro takamoto (MotChan)
 * Distributed under the MIT license. 
 * see -> sora/license.txt
 ******************************************** */
package sora.graybox.synth;
public class SamplerPreset
{
	public char[] toneName = {' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '}; // ASCII 16Chars 
	public int smplNum = 0;    // 0 - 127
	public int pan	   = 64;   // 0 - 127
	public int octv    = 8;    // 0 - 15     // center 8, octave = 1
	public int tune    = 8192; // 0 - 16383  // center 8192, octave = 8192
	public int tl      = 0;    // 0 - 127
	public int ar      = 127;  // 0 - 127
	public int dr      = 0;    // 0 - 127
	public int sl      = 127;  // 0 - 127
	public int rr      = 120;  // 0 - 127
// Method
	public void copy(SamplerPreset preset)
	{
		for (int i = 0; i < 16; i++)toneName[i] = preset.toneName[i];
		smplNum = preset.smplNum;
		pan = preset.pan;
		octv = preset.octv;
		tune = preset.tune;
		tl = preset.tl;
		ar = preset.ar;
		dr = preset.dr;
		sl = preset.sl;
		rr = preset.rr;
	}
	public void reset()
	{
		for (int i = 0; i < 16; i++)toneName[i] = ' ';
		smplNum = 0;
		pan = 64;
		octv = 8;
		tune = 8192;
		tl = 0;
		ar = 127;
		dr = 0;
		sl = 127;
		rr = 120;
	}
// Constructor
	public SamplerPreset(){ reset(); }
}