/*! ********************************************
 * TonePresetPCM.java
 * Copyright 2019 masahiro takamoto (MotChan)
 * Distributed under the MIT license. 
 * see -> sora/license.txt
 ******************************************** */
package sora.graybox.synth;
public class TonePresetPCM
{
// Inastance -----
	public char[] toneName = {' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '}; // ASCII 16Chars 
	public int lfoFreq	= 2048; // 0 - 16383   LFO - Phase Update Timer Parameter
	public int strc		= 0;    // 0 - 3
	public int tune		= 8192; // 0 - 16383   center 8192, octave = 8192
	public int lms		= 0;    // 0 - 15      LFO - Modulation Depth Senstivity
	public int smplNum  = 0;    // 0 - 127
	public int tl		= 0;    // 0 - 127
	public int ar		= 127;  // 0 - 127
	public int dr		= 100;  // 0 - 127
	public int sl		= 0;    // 0 - 127
	public int rr		= 120;  // 0 - 127
	public int kf		= 0;    // 0 - 3       Key Follow Sensitivity         *Instrument 
	public int kfStart	= 48;   // 0 - 127     Key Number - Start Key Follow  *Instrument
// Method
	public void copy(TonePresetPCM preset)
	{
		for (int i = 0; i < 16; i++)toneName[i] = preset.toneName[i];
		strc = preset.strc;
		smplNum = preset.smplNum;
		tune = preset.tune;
		
		kf = preset.kf;
		kfStart = preset.kfStart;
		
		tl = preset.tl;
		ar = preset.ar;
		dr = preset.dr;
		sl = preset.sl;
		rr = preset.rr;
		
		lms = preset.lms;
		lfoFreq = preset.lfoFreq;
	}
	public void reset()
	{
		for (int i = 0; i < 16; i++)toneName[i] = ' ';
		lfoFreq = 2048;
		strc = 0;
		tune = 8192;
		lms = 0;
		smplNum = 0;
		tl = 0;
		ar = 126;
		dr = 100;
		sl = 0;
		rr = 120;
		kf = 0;
		kfStart	= 48;
	}
// Constructor
	public TonePresetPCM(){}
}